[**@nymproject/sdk**](../globals.md) • **Docs**

***

[@nymproject/sdk](../globals.md) / EventHandlerFn

# Type alias: EventHandlerFn()\<E\>

> **EventHandlerFn**\<`E`\>: (`e`) => `void` \| `Promise`\<`void`\>

The **EventHandlerFn** is a callback function that is passed to the [EventHandlerSubscribeFn](EventHandlerSubscribeFn.md)

## See

 - [Events](../interfaces/Events.md)
 - [EventHandlerFn](EventHandlerFn.md)
 - [EventHandlerSubscribeFn](EventHandlerSubscribeFn.md)

## Type parameters

• **E**

## Parameters

• **e**: `E`

## Returns

`void` \| `Promise`\<`void`\>

## Source

[mixnet/wasm/types.ts:309](https://github.com/nymtech/nym/blob/5065c5579e2c961211276dcdfd8aaa127f29bf26/sdk/typescript/packages/sdk/src/mixnet/wasm/types.ts#L309)
